<?PHP
/**
 * This file contains an exception class to be thrown if a user attempts to load
 * data from a Wikidata item specifically established for a disambiguation page.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Exception class to be thrown if a user attempts to load
 * data from a Wikidata item specifically established for a disambiguation page.
 */
final class NodaWikidataFetcherDisambiguationIsDisallowedException extends MDgenericInvalidInputsException {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'Attempted to load a disambiguation page. Please select the specific item you want to fetch to enrich the given entry: ' . $this->getMessage();

    }
}
